Package org.apache.commons.imaging.formats.tiff.taginfos

# Class TagInfo

java.lang.Object
org.apache.commons.imaging.formats.tiff.taginfos.TagInfo

Direct Known Subclasses:
  `TagInfoAny`, `TagInfoAscii`, `TagInfoAsciiOrByte`, `TagInfoAsciiOrRational`, `TagInfoByte`, `TagInfoByteOrShort`, `TagInfoBytes`, `TagInfoDouble`, `TagInfoDoubles`, `TagInfoFloat`, `TagInfoFloats`, `TagInfoGpsText`, `TagInfoLong`, `TagInfoLongOrIfd`, `TagInfoLongs`, `TagInfoRational`, `TagInfoRationals`, `TagInfoSByte`, `TagInfoSBytes`, `TagInfoShort`, `TagInfoShortOrLong`, `TagInfoShortOrLongOrRational`, `TagInfoShortOrRational`, `TagInfoShorts`, `TagInfoSLong`, `TagInfoSLongs`, `TagInfoSRational`, `TagInfoSRationals`, `TagInfoSShort`, `TagInfoSShorts`, `TagInfoXpString`

public class TagInfo extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final List<AbstractFieldType>`
  `dataTypes`
  `final TiffDirectoryType`
  `directoryType`
  `final int`
  `length`
  `static final int`
  `LENGTH_UNKNOWN`
  `final String`
  `name`
  `final int`
  `tag`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TagInfo(String name, int tag, List<AbstractFieldType> dataTypes, int length, TiffDirectoryType exifDirectory)`
  `TagInfo(String name, int tag, List<AbstractFieldType> dataTypes, int length, TiffDirectoryType exifDirectory, boolean isOffset)`
  `TagInfo(String name, int tag, AbstractFieldType dataType)`
  `TagInfo(String name, int tag, AbstractFieldType dataType, int length)`
  `TagInfo(String name, int tag, AbstractFieldType dataType, int length, TiffDirectoryType exifDirectory)`
  `TagInfo(String name, int tag, AbstractFieldType dataType, int length, TiffDirectoryType exifDirectory, boolean isOffset)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `encodeValue(AbstractFieldType abstractFieldType, Object value, ByteOrder byteOrder)`
  `String`
  `getDescription()`
  `Object`
  `getValue(TiffField entry)`
  `boolean`
  `isOffset()`
  `boolean`
  `isText()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### LENGTH_UNKNOWN

    public static final int LENGTH_UNKNOWN
    See Also:
      - Constant Field Values

  - ### name

    public final String name

  - ### tag

    public final int tag

  - ### dataTypes

    public final List<AbstractFieldType> dataTypes

  - ### length

    public final int length

  - ### directoryType

    public final TiffDirectoryType directoryType

- ## Constructor Details

  - ### TagInfo

    public TagInfo(String name, int tag, AbstractFieldType dataType)

  - ### TagInfo

    public TagInfo(String name, int tag, AbstractFieldType dataType, int length)

  - ### TagInfo

    public TagInfo(String name, int tag, AbstractFieldType dataType, int length, TiffDirectoryType exifDirectory)

  - ### TagInfo

    public TagInfo(String name, int tag, AbstractFieldType dataType, int length, TiffDirectoryType exifDirectory, boolean isOffset)

  - ### TagInfo

    public TagInfo(String name, int tag, List<AbstractFieldType> dataTypes, int length, TiffDirectoryType exifDirectory)

  - ### TagInfo

    public TagInfo(String name, int tag, List<AbstractFieldType> dataTypes, int length, TiffDirectoryType exifDirectory, boolean isOffset)

- ## Method Details

  - ### encodeValue

    public byte[] encodeValue(AbstractFieldType abstractFieldType, Object value, ByteOrder byteOrder) throws ImagingException
    Throws:
      `ImagingException`

  - ### getDescription

    public String getDescription()

  - ### getValue

    public Object getValue(TiffField entry) throws ImagingException
    Parameters:
      `entry` - the TIFF field whose value to return
    Returns:
      the value of the TIFF field
    Throws:
      `ImagingException` - thrown by subclasses

  - ### isOffset

    public boolean isOffset()

  - ### isText

    public boolean isText()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`